<?php
/**
 * Electrician Company functions and definitions
 * @package Electrician Company
 */

if ( ! function_exists( 'electrician_company_after_theme_support' ) ) :

	function electrician_company_after_theme_support() {
		
		add_theme_support( 'automatic-feed-links' );

		add_theme_support('woocommerce');
        add_theme_support('wc-product-gallery-zoom');
        add_theme_support('wc-product-gallery-lightbox');
        add_theme_support('wc-product-gallery-slider');
        add_theme_support('woocommerce', array(
            'gallery_thumbnail_image_width' => 300,
        ));

        load_theme_textdomain( 'electrician-company', get_template_directory() . '/languages' );

		add_theme_support(
			'custom-background',
			array(
				'default-color' => 'ffffff',
			)
		);

		$GLOBALS['content_width'] = apply_filters( 'electrician_company_content_width', 1140 );
		
		add_theme_support( 'post-thumbnails' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 270,
				'width'       => 90,
				'flex-height' => true,
				'flex-width'  => true,
			)
		);
		
		add_theme_support( 'title-tag' );

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'script',
				'style',
			)
		);

		add_theme_support( 'post-formats', array(
			'video',  
			'audio',  
			'gallery',
			'quote',  
			'image',  
			'link',   
			'status', 
			'aside',  
			'chat',   
		) );
		
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'wp-block-styles' );

		require get_template_directory() . '/inc/metabox.php';

		require get_template_directory() . '/inc/homepage-setup/homepage-setup-settings.php';

		if (! defined( 'ELECTRICIAN_COMPANY_DOCS_PRO' ) ){
			define('ELECTRICIAN_COMPANY_DOCS_PRO',__('https://layout.omegathemes.com/steps/electrician-company-pro/','electrician-company'));
		}
		if (! defined( 'ELECTRICIAN_COMPANY_BUY_NOW' ) ){
			define('ELECTRICIAN_COMPANY_BUY_NOW',__('https://www.omegathemes.com/products/electrician-wordpress-theme','electrician-company'));
		}
		if (! defined( 'ELECTRICIAN_COMPANY_SUPPORT_FREE' ) ){
			define('ELECTRICIAN_COMPANY_SUPPORT_FREE',__('https://wordpress.org/support/theme/electrician-company/','electrician-company'));
		}
		if (! defined( 'ELECTRICIAN_COMPANY_REVIEW_FREE' ) ){
			define('ELECTRICIAN_COMPANY_REVIEW_FREE',__('https://wordpress.org/support/theme/electrician-company/reviews/#new-post/','electrician-company'));
		}
		if (! defined( 'ELECTRICIAN_COMPANY_DEMO_PRO' ) ){
			define('ELECTRICIAN_COMPANY_DEMO_PRO',__('https://layout.omegathemes.com/electrician-company/','electrician-company'));
		}
		if (! defined('ELECTRICIAN_COMPANY_LITE_DOCS_PRO') ){
			define('ELECTRICIAN_COMPANY_LITE_DOCS_PRO',__('https://layout.omegathemes.com/steps/electrician-company-free/','electrician-company'));
		}
		if (! defined('ELECTRICIAN_COMPANY_BUNDLE_BUTTON') ){
			define('ELECTRICIAN_COMPANY_BUNDLE_BUTTON',__('https://www.omegathemes.com/products/wp-theme-bundle','electrician-company'));
		}
	}

endif;

add_action( 'after_setup_theme', 'electrician_company_after_theme_support' );

/**
 * Register and Enqueue Styles.
 */
function electrician_company_register_styles() {

	wp_enqueue_style( 'dashicons' );

    $electrician_company_theme_version = wp_get_theme()->get( 'Version' );
	$electrician_company_fonts_url = electrician_company_fonts_url();
    if( $electrician_company_fonts_url ){
    	require_once get_theme_file_path( 'lib/custom/css/wptt-webfont-loader.php' );
        wp_enqueue_style(
			'electrician-company-google-fonts',
			electrician_company_wptt_get_webfont_url( $electrician_company_fonts_url ),
			array(),
			$electrician_company_theme_version
		);
    }

    wp_enqueue_style( 'swiper', get_template_directory_uri() . '/lib/swiper/css/swiper-bundle.min.css');
    wp_enqueue_style( 'owl.carousel', get_template_directory_uri() . '/lib/custom/css/owl.carousel.min.css');
	wp_enqueue_style( 'electrician-company-style', get_stylesheet_uri(), array(), $electrician_company_theme_version );

	wp_enqueue_style( 'electrician-company-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/custom_css.php' );
	wp_add_inline_style( 'electrician-company-style',$electrician_company_custom_css );

	$electrician_company_css = '';

	if ( get_header_image() ) :

		$electrician_company_css .=  '
			.header-box{
				background-image: url('.esc_url(get_header_image()).') !important;
				-webkit-background-size: cover !important;
				-moz-background-size: cover !important;
				-o-background-size: cover !important;
				background-size: cover !important;
			}';

	endif;

	wp_add_inline_style( 'electrician-company-style', $electrician_company_css );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'imagesloaded' );
    wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'swiper', get_template_directory_uri() . '/lib/swiper/js/swiper-bundle.min.js', array('jquery'), '', 1);
	wp_enqueue_script( 'electrician-company-custom', get_template_directory_uri() . '/lib/custom/js/theme-custom-script.js', array('jquery'), '', 1);
	wp_enqueue_script( 'owl.carousel', get_template_directory_uri() . '/lib/custom/js/owl.carousel.js', array('jquery'), '', 1);

    // Global Query
    if( is_front_page() ){

    	$electrician_company_posts_per_page = absint( get_option('posts_per_page') );
        $electrician_company_c_paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
        $electrician_company_posts_args = array(
            'posts_per_page'        => $electrician_company_posts_per_page,
            'paged'                 => $electrician_company_c_paged,
        );
        $electrician_company_posts_qry = new WP_Query( $electrician_company_posts_args );
        $electrician_company_max = $electrician_company_posts_qry->max_num_pages;

    }else{
        global $wp_query;
        $electrician_company_max = $wp_query->max_num_pages;
        $electrician_company_c_paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
    }

    $electrician_company_default = electrician_company_get_default_theme_options();
    $electrician_company_pagination_layout = get_theme_mod( 'electrician_company_pagination_layout',$electrician_company_default['electrician_company_pagination_layout'] );
}

add_action( 'wp_enqueue_scripts', 'electrician_company_register_styles',200 );

function electrician_company_admin_enqueue_scripts_callback() {
    if ( ! did_action( 'wp_enqueue_media' ) ) {
    wp_enqueue_media();
    }
    wp_enqueue_script('electrician-company-uploaderjs', get_stylesheet_directory_uri() . '/lib/custom/js/uploader.js', array(), "1.0", true);
}
add_action( 'admin_enqueue_scripts', 'electrician_company_admin_enqueue_scripts_callback' );

/**
 * Register navigation menus uses wp_nav_menu in five places.
 */
function electrician_company_menus() {

	$electrician_company_locations = array(
		'electrician-company-primary-menu'  => esc_html__( 'Primary Menu', 'electrician-company' ),
	);

	register_nav_menus( $electrician_company_locations );
}

add_action( 'init', 'electrician_company_menus' );

add_filter('loop_shop_columns', 'electrician_company_loop_columns');
if (!function_exists('electrician_company_loop_columns')) {
	function electrician_company_loop_columns() {
		$electrician_company_columns = get_theme_mod( 'electrician_company_per_columns', 3 );
		return $electrician_company_columns;
	}
}

add_filter( 'loop_shop_per_page', 'electrician_company_per_page', 20 );
function electrician_company_per_page( $electrician_company_cols ) {
  	$electrician_company_cols = get_theme_mod( 'electrician_company_product_per_page', 9 );
	return $electrician_company_cols;
}

add_filter( 'woocommerce_output_related_products_args', 'electrician_company_products_args' );

function electrician_company_products_args( $electrician_company_args ) {

    $electrician_company_args['posts_per_page'] = get_theme_mod( 'electrician_company_custom_related_products_number', 6 );

    $electrician_company_args['columns'] = get_theme_mod( 'electrician_company_custom_related_products_number_per_row', 3 );

    return $electrician_company_args;
}

require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/classes/class-svg-icons.php';
require get_template_directory() . '/classes/class-walker-menu.php';
require get_template_directory() . '/inc/customizer/customizer.php';
require get_template_directory() . '/inc/custom-functions.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/classes/body-classes.php';
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/pagination.php';
require get_template_directory() . '/lib/breadcrumbs/breadcrumbs.php';
require get_template_directory() . '/lib/custom/css/dynamic-style.php';


function electrician_company_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'display_header_text' );
    $wp_customize->remove_control( 'display_header_text' );

}

add_action( 'customize_register', 'electrician_company_remove_customize_register', 11 );

// Apply styles based on customizer settings


function electrician_company_radio_sanitize(  $electrician_company_input, $electrician_company_setting  ) {
	$electrician_company_input = sanitize_key( $electrician_company_input );
	$electrician_company_choices = $electrician_company_setting->manager->get_control( $electrician_company_setting->id )->choices;
	return ( array_key_exists( $electrician_company_input, $electrician_company_choices ) ? $electrician_company_input : $electrician_company_setting->default );
}
require get_template_directory() . '/inc/general.php';

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// NOTICE FUNCTION

function electrician_companyadmin_notice() { 
    global $pagenow;
    $theme_args = wp_get_theme();
    $meta = get_option( 'electrician_companyadmin_notice' );
    $name = $theme_args->get( 'Name' );
    $current_screen = get_current_screen();

    if ( ! $meta ) {
        if ( is_network_admin() ) {
            return;
        }

        if ( ! current_user_can( 'manage_options' ) ) {
            return;
        }

        if ( $current_screen->base != 'appearance_page_electriciancompany-wizard' ) {
            ?>
            <div class="notice notice-success notice-content">
                <h2><?php esc_html_e('Welcome! Thank you for choosing Electrician Company. Let’s Set Up Your Website!', 'electrician-company') ?> </h2>
                <p><?php esc_html_e('Before you dive into customization, let’s go through a quick setup process to ensure everything runs smoothly. Click below to start setting up your website in minutes!', 'electrician-company') ?> </p>
                <div class="info-link">
                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=electriciancompany-wizard' ) ); ?>"><?php esc_html_e('Get Started with Electrician Company', 'electrician-company'); ?></a>
					<a href="#" class="notice-bundle" id="bundleTrigger"><?php esc_html_e('Get All WP Themes', 'electrician-company'); ?></a>
					<div class="bundle-overlay" id="bundlePopup">
						<div class="bundle-modal">
							<span class="close-popup">&times;</span>
							<div class="sale-badge"><?php esc_html_e('🔥 MEGA SALE', 'electrician-company'); ?></div>
							<h2><?php esc_html_e('Unlock All Premium WP Themes', 'electrician-company'); ?></h2>
							<p> <?php esc_html_e('Unlock the Full Potential of Your Website with Our 50+ WordPress Themes Bundle', 'electrician-company'); ?></p>
							<ul>
								<li><?php esc_html_e('✔ Expert Support', 'electrician-company'); ?></li>
								<li><?php esc_html_e('✔ Premium Theme ZIP File', 'electrician-company'); ?></li>
								<li><?php esc_html_e('✔ Ready-to-Use Website Templates', 'electrician-company'); ?></li>
								<li><?php esc_html_e('✔ Demo Content (Included in the file)', 'electrician-company'); ?></li>
								<li><?php esc_html_e('✔ Access to the Premium Support Forum', 'electrician-company'); ?></li>
							</ul>
							<a href="<?php echo esc_url( ELECTRICIAN_COMPANY_BUNDLE_BUTTON ); ?>" target="_blank" class="bundle-cta"><?php esc_html_e('Get the Bundle Now →', 'electrician-company'); ?></a>
						</div>
					</div>
                </div>
                <p class="dismiss-link"><strong><a href="?electrician_companyadmin_notice=1"><?php esc_html_e( 'Dismiss', 'electrician-company' ); ?></a></strong></p>
            </div>
            <?php
        }
    }
}
add_action( 'admin_notices', 'electrician_companyadmin_notice' );

if ( ! function_exists( 'electrician_companyupdate_admin_notice' ) ) :
/**
 * Updating admin notice on dismiss
 */
function electrician_companyupdate_admin_notice() {
    if ( isset( $_GET['electrician_companyadmin_notice'] ) && $_GET['electrician_companyadmin_notice'] == '1' ) {
        update_option( 'electrician_companyadmin_notice', true );
    }
}
endif;
add_action( 'admin_init', 'electrician_companyupdate_admin_notice' );

// After Switch theme function
add_action( 'after_switch_theme', 'electrician_companygetstart_setup_options' );
function electrician_companygetstart_setup_options() {
    update_option( 'electrician_companyadmin_notice', false );
}